Get a product
Retrieve a single product by its ID, including its category, quality standard, materials, file requirements, inventory requirements, and custom fields. Clinic users must have an active partnership with the owning lab.
Retrieve a single product by its ID, including its category, quality standard, materials, file requirements, inventory requirements, and custom fields. Clinic users must have an active partnership with the owning lab.
Production session cookie set for the guidelab.co domain by Better Auth
In: cookie
Path Parameters
Product ID
Response Body
application/json
curl -X GET "https://example.com/products/550e8400-e29b-41d4-a716-446655440000"{ "product": { "id": "string", "labId": "string", "categoryId": "string", "standardId": "string", "treatmentPhaseId": "string", "name": "string", "sku": "string", "description": "string", "defaultPrice": "string", "cogs": "string", "pricingUnit": "string", "turnaroundDays": 0, "weight": "string", "minTeethCount": 0, "maxTeethCount": 0, "shadeEnabled": true, "implantSpecRequired": true, "archSelection": "string", "bothArchesOnly": true, "hideOdontogram": true, "odontogramMode": "string", "configuratorType": "single_page", "quantityEnabled": true, "autoAddToCart": true, "upfrontPayment": true, "isHidden": true, "useProgressBar": true, "fulfillmentMode": "physical", "isActive": true, "sortOrder": 0, "laboratoryCode": "string", "laboratoryDescription": "string", "imageKey": "string", "triggerRules": null, "treatmentPhaseName": "string", "treatmentPhaseSortOrder": 0, "treatmentPhaseStartPolicy": "string", "treatmentPhaseLeadTimeDays": 0, "createdAt": "string", "updatedAt": "string", "category": { "id": "string", "name": "string" }, "standard": { "id": "string", "name": "string", "code": "string" }, "productMaterials": [ null ], "fileRequirements": [ null ], "customFields": [ null ], "inventoryRequirements": [ null ] }}Get custom field image GET
Retrieve a custom field option image from R2 storage by its key. Validates that the image key belongs to the authenticated organization.
Get product image GET
Retrieve the image associated with a product from R2 storage. Returns the raw image binary with appropriate content-type headers.